| Kea 3.0.2-git

isc::stats::InvalidStatType Class Reference

Exception thrown if invalid statistic type is used. More...

`#include <observation.h>`

Inheritance diagram for isc::stats::InvalidStatType:
[legend]

## Public Member Functions
| InvalidStatType (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception.
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception.
const std::string & | getMessage () const
| Gets a string describing the cause of the exception.
const char * | getFile () const
| Gets the file name where the exception was thrown.
size_t | getLine () const
| Gets the line number of the file where the exception was thrown.
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number.
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number.
virtual | ~Exception () throw ()
| The destructor.

## Detailed Description

Exception thrown if invalid statistic type is used.

For example statistic is of type duration, but methods using it as integer are called.

Definition at line 28 of file observation.h.

## Constructor & Destructor Documentation

## ◆ InvalidStatType()

isc::stats::InvalidStatType::InvalidStatType | ( | const char * | file,
|  | size_t | line,
|  | const char * | what )
| inline

Definition at line 30 of file observation.h.

References isc::Exception::Exception(), and isc::Exception::what().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- observation.h